Bug 479778 - kernel 2.6.29-0.28.rc1.fc11.x86_64 gets "possible recursive locking" while booting
kernel 2.6.29-0.28.rc1.fc11.x86_64 gets "possible recursive locking" while b...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-12 19:58 EST by Michal Jaegermann
Modified: 2009-01-29 17:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-29 17:36:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output for 2.6.29-0.28.rc1.fc11.x86_64 (29.92 KB, text/plain)
2009-01-12 19:59 EST, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2009-01-12 19:58:32 EST
Description of problem:

=============================================
[ INFO: possible recursive locking detected ]
2.6.29-0.28.rc1.fc11.x86_64 #1
---------------------------------------------
events/0/6 is trying to acquire lock:
 (events){--..}, at: [<ffffffff8105b843>] flush_workqueue+0x0/0xa4

but task is already holding lock:
 (events){--..}, at: [<ffffffff8105ae26>] run_workqueue+0xb1/0x20a


That appears to happen in a udev startup.  Full dmesg attached.

Version-Release number of selected component (if applicable):
kernel-2.6.29-0.28.rc1.fc11.x86_64

How reproducible:
most of the time

Additional info:
In a number of tries once I actually booted without seeing these messages.

A boot may continue or it may get stuck after
"Setting up Logical Volume Management:"
showed up on a screen
Comment 1 Michal Jaegermann 2009-01-12 19:59:59 EST
Created attachment 328808 [details]
dmesg output for 2.6.29-0.28.rc1.fc11.x86_64
Comment 2 Michal Jaegermann 2009-01-12 23:32:15 EST
That looks pretty similar although not exactly the same:
http://marc.info/?l=linux-kernel&m=123177836822861&w=2
Apparently something similar but in another place.
Comment 3 Michal Jaegermann 2009-01-13 18:43:22 EST
The same "recursive locking" shows up with 2.6.29-0.31.rc1.git2.fc11.x86_64.
Comment 4 Michal Jaegermann 2009-01-20 22:27:26 EST
With 2.6.29-0.43.rc2.git1.fc11.x86_64 a boot success rate drops down from some fifty/fifty down to maybe 20% or even less.  When "possible recursive locking" on rare occasions does not hit then, so far, it boot always.  When it does show up then chances that it will boot still exist but are rather slim.  "Setting up Logical Volume Management:" will show up and usually there is no followup.

OTOH this kernel is very successful in screwing up my current monitor (an LCD panel on a digital connection).  I did not manage yet to get on a subsequent boot a picture which pretends to have some kind of a vertical or a horizontal sync without power-cycling of a monitor. Does not matter if 'nomodeset' was used or not.
Comment 5 Michal Jaegermann 2009-01-29 17:36:21 EST
Recent kernels, like 2.6.29-0.64.rc3.fc11.x86_64, do not seem to be doing that anymore.  Not that I am absolutely sure, as this was not happening every time, so maybe just frequency was greatly reduced?  If needed then I will reopen.

Note You need to log in before you can comment on or make changes to this bug.